--IDE_Hints.e

global sequence HintStandard
HintStandard = {
--EU Functions:
    "allocate", {"integer bytes"},"function",
    "allocate_string", {"sequence s"},"function",
    "allow_break",{"integer value"},"function",
    "and_bits", {"object o","object o"},"function",
    "append", {"sequence s", "object o"},"function",
    "arccos", {"object o"},"function",
    "arcsin", {"object o"},"function",
    "arctan", {"object o"},"function",
    "atom", {"object o"},"function",
    "atom_to_float32", {"atom a"},"function",
    "atom_to_float64", {"atom a"},"function",
    "bits_to_int", {"sequence binary"},"function",
    "bytes_to_int", {"sequence binary"},"function",
    "call_back", {"integer routine_id"},"function",
    "c_func", {"integer routine_id","sequence args"},"function",
    "c_proc", {"integer routine_id","sequence args"},"function",
    "call_func", {"integer routine_id","sequence args"},"function",
    "call_proc", {"integer routine_id","sequence args"},"function",
    "chdir", {"sequence path"},"function",
    "close", {"integer file"},"function",
    "command_line", {""},"function",
    "compare", {"object o","object o"},"function",
    "cos", {"object radians"},"function",
    "current_dir", {""},"function",
    "custom_sort", {"integer routine_id","sequence string"},"function",
    "date",{""},"function",
    "define_c_func", {"atom address","sequence name","sequence arglist","integer returnType"},"function",
    "define_c_proc", {"atom address","sequence name","sequence arglist"},"function",
    "dir", {"sequence string"},"function",
    "equal", {"object o","object o"},"function",
    "find",         {"object element", "sequence list"},"function",
    "float32_to_atom", {"sequence s"},"function",
    "float64_to_atom", {"sequence s"},"function",
    "floor", {"object o"},"function",
    "get", {"integer file"},"function",
    "get_bytes", {"integer file","integer bytes"},"function",
    "get_position", {""},"function",
    "getc", {"integer file"},"functon",
    "getenv", {"sequence s"},"function",
    "gets", {"integer file"},"function",
    "instance", {""},"function",
    "int_to_bits", {"atom a","integer bits"},"function",
    "int_to_bytes", {"atom a"},"function",
    "integer",      {"object o"},"function",
    "length",       {"sequence s"},"function",
    "log", {"atom a"},"function",
    "lower", {"object o"},"function",
    "match", {"sequence s","sequence s"},"function",
    "message_box", {"sequence msg","sequence title","object buttons"},"function",
    "not_bits", {"object o"},"function",
    "object",       {"object o "},"function",
    "open", {"filename","mode"},"function",
    "open_dll", {"sequence dll"},"function",
    "or_bits", {"object o","object o"},"function",
    "peek", {"atom address"},"function",
    "peek4s", {"atom address"},"function",
    "peek4u", {"atom address"},"function",
    "power", {"object o","object power"},"function",
    "prepend",      {"sequence s", "object o"},"function",
    "rand", {"integer number"},"function",
    "read_bitmap", {"sequence string"},"function",
    "remainder", {"object divide","object by"},"function",
    "repeat", {"object o","atom times"},"function",
    "reverse", {"sequence string"},"function",
    "routine_id",{"sequence string"},"function",
    "save_bitmap", {"sequence pallete","filename"},"function",
    "seek", {"sequence file","integer position"},"function",
    "sequence",     {"object o"},"function",
    "sin", {"object radians"},"function",
    "sort", {"sequence s"},"function",
    "sprint", {"object o"},"function",
    "sprintf", {"sequence format", "object o"},"function",
    "sqrt", {"object"},"function",
    "system_exec", {"sequence command","integer exitcode"},"function",
    "tan", {" object radians"},"function",
    "upper", {"object o"},"function",
    "value", {"sequence string"},"function",
    "walk_dir", {"sequence path","integer routine_id","integer value"},"function",
    "where", {"integer file"},"function",
    "wildcard_file", {"sequence pattern","sequence filename"},"function",
    "wildcard_match", {"sequence pattern","sequence filename"},"function",
    "xor_bits", {"object bits","object bits"},"function",

--EU Procedures:
    "abort", {"integer value"},"procedure",
    "crash_file", {"sequence file"},"procedure",
    "crash_message", {"sequence msg"},"procedure",
    "flush", {"integer file"},"procedure",
    "free_console", {""},"procedure",
    "get_key", {""},"procedure",
    "lock_file", {"integer file","integer lockType","sequence portion"},"procedure",
    "mem_copy", {"atom address","atom address","integer bytes"},"procedure",
    "mem_set", {"atom address","integer value","integer bytes"},"procedure",
    "platform", {""},"procedure",
    "poke", {"atom address","object o"},"procedure",
    "poke4", {"atom address","object o"},"procedure",
    "position", {"integer line","column"},"procedure",
    "print",        {"integer file", "object o"},"procedure",
    "printf",       {"integer file", "sequence format", "object o"},"procedure",
    "profile", {"integer value"},"procedure",
    "puts",         {"integer file", "sequence s"},"procedure",
    "set_rand", {"integer value"},"procedure",
    "sleep", {"integer seconds"},"procedure",
    "system", {"sequence string","integer return"},"procedure",
    "time", {""},"procedure",
    "trace", {"integer value"},"procedure",
    "lock_file", {"integer file","sequence range"},"procedure",
    "wrap", {"integer value"},"procedure",

--database.e functions and procedures
    "check_free_list",{""},"procedure",
    "db_close",{""},"procedure",
    "db_compress",{""},"function",
    "db_create",{"sequence path"," integer lock_method"},"function",
    "db_create_table",{"sequence name"},"function",
    "db_delete_record",{"integer key_location"},"procedure",
    "db_delete_table",{"sequence name"},"procedure",
    "db_dump",{"integer fn"," integer low_level_too"},"procedure",
    "db_find_key",{"object key"},"function",
    "db_insert",{"object key"," object data"},"function",
    "db_open",{"sequence path"," integer lock_method"},"function",
    "db_record_data",{"integer rn"},"function",
    "db_record_key",{"integer rn"},"function",
    "db_replace_data",{"integer rn"," object data"},"procedure",
    "db_select",{"sequence path"},"function",
    "db_select_table",{"sequence name"},"function",
    "db_table_list",{""},"function",
    "db_table_size",{""},"function",

--WIN32LIB Functions and Procedures:
"Beep",{" atom pStyle "},"procedure",
"CType",{" integer pChar"," object pSet"},"function",
"ClientToScreen",{"integer id"," integer x"," integer y"},"function",
"EzCreateFont",{" integer id"," atom pDC"," sequence pFaceName","object pHeight"," atom pDeciPtWidth","object pAttributes"," integer pLogRes","atom pLogFont "},"function",
"GetCType",{" object pChar"},"function",
"Init_UI_Msgs",{"sequence pKeyVals"},"procedure",
"ScreenToClient",{"integer id"," integer x"," integer y"},"function",
"SetCType",{" object pChar"," object pSet"},"procedure",
"TextToNumber",{" sequence text"},"function",
"WinMain",{" object id"," integer style "},"procedure",
"abortErr",{" sequence pParams "},"procedure",
"abs",{" object a "},"function",
"acquire_mem",{" atom pOwner"," object pData "},"function",
"addDIB",{" object hBmp "},"function",
"addEuBmp",{" object bmp "},"function",
"addIcon",{" object hIcon "},"function",
"addItem",{" integer id"," sequence pTextItems "},"procedure",
"addLVItem",{"object id"," atom iIcon"," sequence text "},"function",
"addStyle",{" integer id"," object styles "},"procedure",
"addTVItem",{" integer id"," atom iImage"," atom iSelectedImage","sequence text"," integer iParent "},"function",
"addToBand",{" integer id"," integer band "},"procedure",
"addXpm",{" sequence xpm "},"function",
"address",{" atom addr"," object offset "},"function",
"alignControls",{" object ids"," object pAligntype"," object pValue "},"procedure",
"allot",{" object pDataType "},"function",
"allotted_handle",{"sequence pHandle"},"function",
"allotted_size",{""},"function",
"allotted_sofar",{""},"function",
"appendText",{" integer id"," sequence text "},"procedure",
"assignFont",{" integer id"},"function",
"attachCleanUp",{" integer pId "},"function",
"attachPopup",{"integer pId"," object pMenus"},"function",
"autoSelect",{" object id"," integer pFlag "},"function",
"autoclose",{"integer self"," integer event"," sequence parms"},"procedure",
"bitBlt",{" atom dst"," integer dstX"," integer dstY","atom src"," integer srcX"," integer srcY","integer wide"," integer high","integer rop "},"procedure",
"buildDefaultOfn",{" integer id"," sequence fName"," sequence filters"," atom exflags"},"function",
"canFocus",{" object id"," integer pFlag "},"function",
"captureMouse",{" integer id "},"procedure",
"centerControl",{"integer pId"," integer pRefId"},"procedure",
"classAutoSelect",{" object pType"," integer pFlag "},"procedure",
"classDefaults",{"integer class"," sequence pData"},"function",
"clear",{" integer id "},"procedure",
"clearWindow",{" integer id"},"procedure",
"clickPointerLeft",{""},"procedure",
"closeApp",{""},"procedure",
"closeWindow",{" integer id "},"procedure",
"collapseItem",{" integer item "},"procedure",
"convPctToPixel",{"integer id","object x"," object y"," object width"," object height"},"function",
"convPointsToLogical",{"object pDC"," object pHeight"," integer pLogRes"},"function",
"copy",{" integer id "},"procedure",
"copyBlt",{" atom dst"," integer x"," integer y"," atom src "},"procedure",
"copyFile",{"sequence exists"," sequence new"," integer failIfExists"},"function",
"copyToBitmapFile",{" integer id"," sequence fileName","integer x1"," integer y1","integer x2"," integer y2 "},"function",
"copyToTrueColorBitmapFile",{"integer id"," sequence fileName"," integer x1"," integer y1"," integer x2"," integer y2"},"function",
"create",{" integer pControl"," sequence caption"," atom pOwner","object x"," object y"," object cx"," object cy","object styleFlags "},"function",
"createBrush",{" integer id"," integer filled"," atom hdc "},"procedure",
"createDIB",{" sequence euBmp "},"function",
"createDirectory",{"sequence pDirPath"},"function",
"createEx",{" integer pControl"," sequence pCaption"," atom pOwner","object pLeft"," object pTop"," object pWidth"," object pHeight","object styleFlags"," object exFlags "},"function",
"createForm",{"sequence pForm"},"procedure",
"createMousePointer",{" integer x"," integer y"," sequence image "},"function",
"createMouseTrap",{"integer pWindow"," object pRect"},"function",
"createXpm",{" sequence outFile"," sequence euBmp "},"function",
"createXpmFromBmpFile",{" sequence inFile"," sequence outFile "},"function",
"current_number",{"object pName"},"function",
"cut",{" integer id "},"procedure",
"defineMenuRadioGroup",{" sequence ids "},"procedure",
"defineUserProperty",{" object pControl"," object pPropId"," object pData"},"procedure",
"define_series",{"object pName"," sequence pValues"},"procedure",
"deleteFile",{"sequence name"},"function",
"deleteItem",{" atom id"," integer pos "},"function",
"deleteMouseTrap",{"integer pWindow"," integer pMouseTrap"},"procedure",
"deleteObject",{" object resource "},"procedure",
"deleteUserProperty",{" object pControl"," object pPropId"},"procedure",
"destroy",{" integer id "},"procedure",
"detachCleanUp",{" integer pId "},"function",
"disableControlSet",{"object id"},"procedure",
"distributeControls",{" sequence ids"," integer disttype"," object pValue"},"procedure",
"doEvents",{"integer id"},"procedure",
"dragPointerTo",{"sequence pos"},"procedure",
"drawArc",{" integer id"," integer filled","integer x1"," integer y1","integer x2"," integer y2","integer xStart"," integer yStart","integer xEnd"," integer yEnd "},"procedure",
"drawBitmap",{" integer id"," object bitmap","integer xStart"," integer yStart "},"procedure",
"drawChord",{" integer id"," integer filled","integer x1"," integer y1","integer x2"," integer y2","integer xStart"," integer yStart","integer xEnd"," integer yEnd "},"procedure",
"drawEllipse",{" integer id"," integer filled","integer x1"," integer y1","integer x2"," integer y2 "},"procedure",
"drawLine",{" integer id"," integer x1"," integer y1","integer x2"," integer y2 "},"procedure",
"drawLines",{" integer id"," sequence coords"},"procedure",
"drawPie",{" integer id"," integer filled","integer x1"," integer y1","integer x2"," integer y2","integer xStart"," integer yStart","integer xEnd"," integer yEnd "},"procedure",
"drawPolygon",{" integer id"," integer filled"," sequence points "},"procedure",
"drawRectangle",{" integer id"," integer filled","integer x1"," integer y1","integer x2"," integer y2 "},"procedure",
"drawRoundRect",{" integer id"," integer filled","integer x1"," integer y1","integer x2"," integer y2","integer xc"," integer yc "},"procedure",
"drawText",{"integer id"," object text"," object rect","object flags"," integer tabsize","integer left","integer right"},"function",
"enableControlSet",{"integer id"},"procedure",
"enableMouseTrap",{"integer pWindow"," object pMouseTrap"," integer pState"},"procedure",
"endDoc",{""},"function",
"endPage",{""},"function",
"eraseItems",{" atom id "},"procedure",
"expandItem",{" integer item "},"procedure",
"expandTV",{"object treewnd"," object item_handle"," integer pAction"},"function",
"extractIcon",{" sequence Filename "},"function",
"fetch",{" atom struct"," sequence s "},"function",
"fetch_CHARFORMAT",{" atom CHARFORMAT "},"function",
"fetch_SYSTEMTIME",{" atom st "},"function",
"filterMouseTrap",{"integer pWindow"," object pMouseTrap"," object pEvents"},"procedure",
"findChildren",{"integer id"},"function",
"findItem",{" atom id"," sequence ptext"," integer item "},"function",
"findKey",{" object key"," sequence list "},"function",
"findParent",{"object id"},"function",
"findParentWindow",{"integer id"},"function",
"findText",{" integer id"," sequence text"," object range","integer flags "},"function",
"findTrackedObject",{" object pOwner"," sequence pTag"},"function",
"findWindow",{"object pClassName"," object pWindowCaption"},"function",
"formatDate",{" sequence d"," integer f "},"function",
"getActiveWindow",{""},"function",
"getAppName",{""},"function",
"getCaption",{"integer pId"},"function",
"getCharExtent",{" integer id"},"function",
"getChildren",{"integer id"},"function",
"getClassName",{"integer id"},"function",
"getClientPoint",{" integer id"," object x"," object y "},"function",
"getClientRect",{" integer id "},"function",
"getClientSize",{" integer id "},"function",
"getColorDialog",{"atom id"," atom defaultColor "},"function",
"getColumnHeadings",{" integer id"},"function",
"getControlInfo",{"integer id"," object pFields"},"function",
"getCount",{" atom id "},"function",
"getCtlSize",{" atom id "},"function",
"getCurrentDirectory",{""},"function",
"getDC",{" atom pID "},"function",
"getData",{"object pID"},"function",
"getEdit",{"integer id"},"function",
"getFileInfo",{"object pPath"," object pAttrib"," object pItems"},"function",
"getFindText",{" object id "},"procedure",
"getFocus",{" "},"function",
"getFontDialog",{" integer id "},"function",
"getFontMetric",{" integer id"," sequence field "},"function",
"getFontSize",{" integer id "},"function",
"getFormIds",{"integer pAction"},"function",
"getFullPathName",{"sequence pFile"," integer pOption"},"function",
"getHScrollPos",{" integer id "},"function",
"getHWND",{" object id "},"function",
"getHandle",{" object id "},"function",
"getHandler",{" integer id"," integer htype"},"function",
"getHandles",{""},"function",
"getHint",{" integer id "},"function",
"getId",{" object hWnd "},"function",
"getIdName",{"integer id"},"function",
"getIndex",{" atom id "},"function",
"getItem",{" atom id"," object item "},"function",
"getKeyState",{" atom key "},"function",
"getLVAllChecked",{"integer id"},"function",
"getLVAllText",{" integer id"," integer pRow "},"function",
"getLVChecked",{" integer id"," integer row "},"function",
"getLVCount",{" integer id "},"function",
"getLVItem",{" integer id"," atom LV_ITEM"},"function",
"getLVItemText",{" integer id"," integer row"," object column"},"function",
"getLVItemlParam",{" integer id"," integer pRow "},"function",
"getLVSelected",{" object id "},"function",
"getLVSelectedCount",{" integer id "},"function",
"getLVSelectedText",{" object id "},"function",
"getLastError",{""},"function",
"getLastMsg",{"object option"},"function",
"getLocalTime",{""},"function",
"getMainWindow",{""},"function",
"getMenuPosn",{"integer pID"},"function",
"getMouseTrap",{"integer pWindow"," integer pMouseTrap"},"function",
"getMultIndices",{" atom id "},"function",
"getMultItems",{" atom id "},"function",
"getNameId",{"sequence pName"},"function",
"getNameIdInContext",{"sequence pName"," object pParent"},"function",
"getNumber",{" integer id "},"function",
"getOpenFileName",{" integer id"," sequence fName"," sequence filters "},"function",
"getPageSetup",{""},"function",
"getPageSetupEx",{"atom pFlags"},"function",
"getPathFromIDList",{"atom pidl"},"function",
"getPixel",{" integer id"," integer x"," integer y "},"function",
"getPointerPos",{""},"function",
"getPointerRelPos",{"integer pId"},"function",
"getPosition",{" atom id "},"function",
"getPrintChoice",{"integer pMaxPages"," object pFlags"," atom pPrintDlg"},"function",
"getPrinter",{""},"function",
"getRandInt",{"atom pMin"," atom pMax"},"function",
"getRect",{" atom id "},"function",
"getReplaceText",{" object id "},"procedure",
"getReturnValue",{"  "},"function",
"getRichText",{" integer pID"," object pRange "},"function",
"getSaveFileName",{" integer id"," sequence fName"," sequence filters "},"function",
"getScrollChange",{" object id "},"function",
"getScrollPos",{" object id "},"function",
"getScrollRange",{" object id "},"function",
"getSelectedDate",{" integer id "},"function",
"getSelectedDateRange",{" integer id"},"function",
"getSelectedText",{" integer id "},"function",
"getSelection",{" atom id "},"function",
"getSelf",{""},"function",
"getStream",{" integer id"," integer flags "},"function",
"getSysColor",{" atom winPart "},"function",
"getSystemMetrics",{" object Code "},"function",
"getSystemTime",{""},"function",
"getTVIndex",{" atom id "},"function",
"getTVParent",{" integer id "},"function",
"getTVSelectedText",{" integer id "},"function",
"getTVText",{" integer iItem "},"function",
"getTabItem",{"integer id"},"function",
"getTagMouseTrap",{"integer pWindow"," integer pMouseTrap"},"function",
"getTempFile",{"object pDir"," sequence pPrefix"},"function",
"getTempPath",{""},"function",
"getText",{" object pID "},"function",
"getTextExtent",{" integer id"," sequence text "},"function",
"getTextHeight",{" integer id"," sequence text "},"function",
"getTextWidth",{" integer id"," sequence text "},"function",
"getThumbPos",{" object id "},"function",
"getTrackedObject",{" object pResource"},"function",
"getUserName",{""},"function",
"getUserProperty",{" object pControl"," object pPropId"},"function",
"getVScrollPos",{" integer id "},"function",
"getValues",{"integer pContext"," sequence pIds"},"function",
"getWheelScrollLines",{""},"function",
"getWinVersion",{""},"function",
"getWindowInfo",{"integer id"," sequence pFields"},"function",
"getWindowRect",{" integer id "},"function",
"get_bits",{"atom b32"},"function",
"get_series",{"object pName"},"function",
"hi_word",{" atom pData"},"function",
"hideControlSet",{"object id"},"procedure",
"hitMouseTrap",{"integer pWindow"," integer pEvent"," integer pX"," integer pY"},"function",
"hitTestLV",{" integer id "},"function",
"hitTestTT",{" "},"function",
"hitTestTV",{" integer id "},"function",
"iff",{" atom test"," object ifTrue"," object ifFalse "},"function",
"insertItem",{" atom id"," sequence text"," integer pos "},"function",
"insertLVColumn",{" atom id"," integer index","atom mask"," atom fmt"," atom cx"," object text"," object pColumn "},"procedure",
"insertLVItem",{"atom id"," atom mask"," atom row","atom iSubItem"," atom state"," atom stateMask","object text"," atom image"," atom lparam "},"function",
"insertText",{" integer id"," sequence text "},"procedure",
"invokeHandler",{"integer id"," integer event"," sequence params"},"function",
"isChecked",{" object pId "},"function",
"isEnabled",{" integer id "},"function",
"isMaximized",{" integer id "},"function",
"isMinimized",{" integer id "},"function",
"isScreenPointIn",{" integer id"," integer x"," integer y "},"function",
"isVisible",{" integer id "},"function",
"killTimer",{" integer id"," integer timerId "},"procedure",
"limitText",{" integer id"," integer pSize "},"procedure",
"llSetAbort",{"integer i"},"function",
"lo_word",{" atom pData"},"function",
"loadBitmapFromFile",{" sequence fName "},"function",
"loadCursor",{" sequence pCursorFile"},"function",
"loadForm",{"sequence pName"},"function",
"loadIconFromFile",{" object icon "},"function",
"loadLVInfo",{"atom id"," sequence alldata"},"procedure",
"lookup",{"object pItem"," sequence pSource"," sequence pTarget"},"function",
"makeFront",{"object id"},"procedure",
"makeStandardName",{"sequence pName"},"function",
"manageToolTip",{" integer pAction"," integer pNewControl"},"function",
"manage_mem",{" atom pOwner"," atom pAddr "},"procedure",
"members",{"sequence seq"},"function",
"moveFile",{"sequence exists"," sequence new"},"function",
"moveZOrder",{" integer id "," atom ztype"},"procedure",
"newUIObj",{" object pParms"},"procedure",
"new_memset",{""},"function",
"next_number",{"object pName"},"function",
"onXXX",{"integer flag"},"function",
"openDialog",{"object id"},"procedure",
"openWindow",{" object id"," object style "},"procedure",
"or_all",{" object pData "},"function",
"pack_word",{" integer low"," integer high "},"function",
"paste",{" integer id "},"procedure",
"peek_string",{"atom a"},"function",
"playSound",{" object pFileParms "},"function",
"popup",{" object id"," object x"," object y "},"procedure",
"putStream",{" integer id"," integer flags"," sequence streamin "},"procedure",
"quitWindow",{"integer id"},"procedure",
"readXpm",{" sequence fName "},"function",
"read_file",{"sequence name"},"function",
"refreshWindow",{" object ids"},"procedure",
"registerClass",{" atom szClassName "},"procedure",
"registerHotKey",{" integer id"," object caption "},"procedure",
"registerw32Function",{"integer libid"," sequence name","sequence signature"," integer returntype"},"function",
"registerw32Library",{"sequence libname"},"function",
"registerw32Procedure",{"integer libid"," sequence name","sequence signature"},"function",
"releaseAllResources",{"integer pMode"},"procedure",
"releaseDC",{" atom pID "},"procedure",
"releaseMouse",{""},"procedure",
"releasePrinter",{""},"procedure",
"releaseResourcesForID",{" object pIdLife "},"procedure",
"release_all_mem",{""},"procedure",
"release_mem",{" atom pData "},"procedure",
"remove",{"sequence seq"," object index"},"function",
"removeHandler",{"object id"," object pEvent"," object pRoutine"},"procedure",
"removeIndex",{" integer index"," sequence list "},"function",
"removeItem",{" object item"," sequence list "},"function",
"removeStyle",{" integer id"," object styles "},"procedure",
"remove_greater_than",{"sequence seq"," integer index"},"function",
"remove_less_than",{"sequence seq"," integer index"},"function",
"remove_subscripts",{"sequence seq"," object o"},"function",
"repaintFG",{" integer id "},"procedure",
"repaintRect",{" integer id"," integer x1"," integer y1","integer x2"," integer y2 "},"procedure",
"repaintWindow",{" integer id "},"procedure",
"replaceObject",{" object pId"," integer pObjType"," atom pDC"," atom pNewObject","integer pLifetime "},"procedure",
"replace_all",{"sequence seq"," object o1"," object o2"},"function",
"resetReturnValue",{" "},"procedure",
"resetUserProperty",{" object pControl"," object pPropId"},"procedure",
"restoreMousePointer",{" object id "},"procedure",
"returnValue",{" object returns "},"procedure",
"rgb",{" integer r"," integer g"," integer b "},"function",
"selectDirectory",{"object title"," object flags"," atom callback"," atom cbData"},"function",
"sendMessage",{" object id"," atom pCmd"," object wParm"," object lParm "},"function",
"setAcceleration",{" integer id","  sequence pTimes"},"procedure",
"setAlignment",{" integer id"," integer align "},"procedure",
"setAppName",{"sequence pName"},"function",
"setAutoFocusLabels",{"integer pNewValue"},"function",
"setBackColor",{" integer id"," atom color "},"procedure",
"setBitmap",{" integer id"," object bitmap "},"procedure",
"setBuddy",{" integer id"," integer buddy "},"procedure",
"setBullet",{" integer id "},"procedure",
"setCallback",{"integer pRoutineID"},"function",
"setCheck",{" object  pControls"," integer flag "},"procedure",
"setClientRect",{" integer id"," object width"," object height "},"procedure",
"setColumn",{" integer id"," integer column"," object text "},"procedure",
"setColumnHeadings",{" integer id"," sequence text "},"procedure",
"setControlBlocks",{"integer pQty"},"procedure",
"setControlSet",{"integer pSet"," integer pAdd"," object id"},"procedure",
"setCreateFont",{" sequence faceName"," atom points"," object attrib"," atom color "},"function",
"setCtlPosition",{"integer id"," object x"," object y"},"procedure",
"setCtlSize",{" integer id"," object cx"," object cy "},"procedure",
"setCurrentDirectory",{"sequence pPath"},"procedure",
"setDefaultFont",{" integer id "},"procedure",
"setDragPointer",{" object style "},"procedure",
"setEnable",{" object id"," atom flag "},"procedure",
"setEndAction",{"integer code"},"function",
"setErasePolicy",{"integer id"," integer pFlag"},"function",
"setFileAttr",{"sequence name"," atom attr"},"function",
"setFocus",{" object id "},"procedure",
"setFont",{" object id"," sequence faceName"," object points"," object attrib "},"procedure",
"setFontWeight",{" integer pNewWeight"},"function",
"setHScrollPos",{" integer id"," atom pos "},"procedure",
"setHandler",{" object id"," object htype"," object routine"},"procedure",
"setHint",{" object id"," object text "},"procedure",
"setHintEx",{" object id"," object text"," atom exflags "},"procedure",
"setHintFont",{" sequence fontName"," integer points"," integer attrib "},"procedure",
"setHintWidth",{" integer id"," integer width "},"function",
"setIcon",{" integer id"," object icon "},"procedure",
"setIdName",{"integer id"," sequence pName"},"procedure",
"setIdle",{"integer pNewValue"},"function",
"setImageList",{" integer id"," atom IL"," atom size "},"procedure",
"setIndent",{" integer id"," object start"," object right"," object offset "},"procedure",
"setIndex",{" atom id"," object index "},"procedure",
"setLVAttr",{"integer id"," sequence pNewData"},"function",
"setLVChecked",{" integer id"," integer pRow"," atom checked "},"procedure",
"setLVInsert",{"integer pFlag "},"function",
"setLVItem",{"atom id"," atom mask"," atom pRow","atom pColumn"," atom state"," atom stateMask","object text"," atom image"," atom lparam "},"procedure",
"setLVItemText",{" integer LV"," integer pRow"," integer pColumn"," object text "},"procedure",
"setLVItemlParam",{" integer id"," integer pRow"," atom lParam "},"procedure",
"setLVStyle",{"integer pId"," object pStyleFlags"},"procedure",
"setListHScroll",{" atom id"},"function",
"setMaxDateRange",{" integer id"," integer r "},"procedure",
"setMonthColor",{" integer id"," integer iColor"," atom cr "},"procedure",
"setMouseClick",{"object pTimeDelta"," object pXDelta"," object pYDelta"},"function",
"setMousePointer",{" object id"," object style "},"procedure",
"setNotifyHandler",{"integer pMsg"," integer pRtnId"},"function",
"setParent",{"integer id"," integer pNewParent"},"function",
"setPenBkColor",{" integer id"," atom color "},"procedure",
"setPenBkMode",{" integer id"," atom bkMode "},"procedure",
"setPenBrushColor",{" integer id"," atom color "},"procedure",
"setPenColor",{" integer id"," atom color "},"procedure",
"setPenMode",{" integer id"," atom rop2 "},"procedure",
"setPenPos",{" integer id"," object x"," object y "},"procedure",
"setPenStyle",{" integer id"," atom style "},"procedure",
"setPenWidth",{" integer id"," integer pixels "},"procedure",
"setPixel",{" integer id"," integer x"," integer y"," atom rgbColor "},"procedure",
"setPixmap",{" integer id"," object bitmap "},"procedure",
"setPointerPos",{"sequence pos"},"procedure",
"setReBarAutoSizing",{" integer pFlag"},"function",
"setReadOnly",{" integer id"," integer YesNo "},"procedure",
"setRect",{" integer id"," object left"," object top","object width"," object height"," integer repaint "},"procedure",
"setScrollChange",{" object id"," atom low"," atom high "},"procedure",
"setScrollPos",{" object id"," object pAction "},"procedure",
"setScrollRange",{" object id"," atom min"," atom max "},"procedure",
"setSearchPaths",{"sequence pPaths"},"function",
"setSelectedDate",{" integer id"," integer year"," integer month","integer day "},"procedure",
"setSelectedDateRange",{" integer id"," sequence d1"," sequence d2 "},"procedure",
"setSelectedText",{" integer id"," sequence text "},"procedure",
"setSelection",{"atom id"," object index "},"procedure",
"setStartupFont",{"integer font"},"procedure",
"setSubFields",{" integer pID"," sequence pPartInfo"},"procedure",
"setTVImages",{" integer pItem"," atom pNewImage"," atom pSelected"},"procedure",
"setTVText",{" integer iItem"," sequence pNewText "},"procedure",
"setTabCodes",{" object newcodes"},"function",
"setTabEnabled",{" integer id"," integer flag"},"function",
"setTabStops",{"integer id"," sequence flds"},"function",
"setTabs",{"integer id"," sequence tabs "},"procedure",
"setTagMouseTrap",{"integer pWindow"," integer pMouseTrap"," object pData"},"procedure",
"setText",{" object pID"," object pText "},"procedure",
"setTextAlign",{" integer id"," integer flag "},"procedure",
"setTextColor",{" integer id"," atom color "},"procedure",
"setTimer",{" integer id"," integer timerId"," atom ticks "},"procedure",
"setToolBarSize",{"integer id"," object pProperty"," object pValues"},"procedure",
"setTransparentColor",{" object color "},"procedure",
"setUserProperty",{" object pControl"," object pPropId"," object pData"},"procedure",
"setVScrollPos",{" integer id"," atom pos "},"procedure",
"setVisible",{" object id"," atom flag "},"procedure",
"setWarning",{" integer flag "},"procedure",
"setWinMsgHandler",{"object pId"," object pMsg"," integer pRoutine"},"procedure",
"setWindowBackColor",{" object id"," object rgbColor "},"procedure",
"setWindowRect",{" integer id"," sequence pRect "},"procedure",
"setWindowScrollRange",{"integer id"," integer typeScroll"," atom min"," atom max"," atom pageSize"},"procedure",
"shellExecute",{" object verb"," sequence file"," atom style"},"procedure",
"shellExecuteEx",{" object verb"," sequence file"," object parms","object defdir"," atom style"," atom struct"},"function",
"shortInt",{" atom i "},"function",
"showChars",{"integer pFlag"},"procedure",
"showControlSet",{"integer id"},"procedure",
"showMessage",{" sequence pMsg"},"procedure",
"showWindow",{"object id"," object style"},"procedure",
"signed_word",{" atom a "},"function",
"sizeControls",{" object ids"," object pSizetype"," object pValue "},"procedure",
"skipF10",{"integer pNewValue"},"function",
"split",{"sequence pSource"," object pDelim"},"function",
"startApp",{"integer pCallBack_rid"},"procedure",
"startDoc",{" sequence job "},"function",
"startPage",{""},"function",
"store",{" atom struct"," sequence s"," object o "},"procedure",
"stretchBlt",{"atom dst"," integer dstX"," integer dstY","integer dstWide",
" integer dstHigh","atom src"," integer srcX"," integer srcY","integer srcWide"," integer srcHigh","integer rop "},"procedure",
"struct_CHARFORMAT",{" atom dwMask"," atom dwEffects","atom yHeight"," atom yOffset",
" atom crTextColor"," atom bCharSet","atom bPitchAndFamily"," sequence szFaceName "},"function",
"struct_CHARRANGE",{" atom min"," atom max "},"function",
"struct_EDITSTREAM",{" atom dwCookie"," atom dwError"," atom pfnCallback "},"function",
"struct_FINDREPLACE",{" atom owner"," atom flags"," sequence fwhat","sequence rwhat "},"function",
"struct_FINDTEXTEX",{" atom min1"," atom max1"," sequence text","atom min2"," atom max2 "},"function",
"struct_LVCOLUMN",{"atom mask"," atom fmt"," atom cx","object text"," object Column "},"function",
"struct_LVFINDINFO",{"atom flags"," sequence text"," atom lparam","atom x"," atom y"," atom direction"},"function",
"struct_LVITEM",{"atom mask"," atom row","atom iSubItem"," atom state"," atom stateMask","object text"," atom image"," atom lparam "},"function",
"struct_MENUITEMINFO",{""},"function",
"struct_PARAFORMAT",{"atom dwMask"," integer wNumbering","atom dxStartIndent"," atom dxRightIndent"," atom dxOffset","integer wAlignment"," sequence rgxTabs"},"function",
"struct_REBARBANDINFO",{"atom fMask","atom fStyle","atom clrFore","atom clrBack","object lpText","atom iImage","atom hwndChild","atom cxMinChild","atom cyMinChild","atom cx",
"atom hbmBack","atom wID","atom cyChild","atom cyMaxChild","atom cyIntegral","atom cxIdeal","atom lParam","atom cxHeader "},"function",
"struct_SYSTEMTIME",{" integer year"," integer month","integer dayofweek"," integer day"," integer hour"," integer minute","integer second"," integer milliseconds "},"function",
"struct_TEXTRANGE",{" atom min"," atom max "},"function",
"struct_TOOLINFO",{" atom uFlags"," atom hwnd"," atom uId","sequence rect"," object text "},"function",
"struct_TVHITTESTINFO",{" integer x"," integer y"," integer flags","atom hItem "},"function",
"struct_TVINSERTSTRUCT",{" atom hParent"," atom hInsertAfter","atom hItem "},"function",
"struct_TVITEM",{" atom mask"," atom hItem"," atom state","atom stateMask"," object text"," atom iImage","atom iSelectedImage"," atom cChildren"," atom lParam "},"function",
"subClassControl",{"object pId","  atom phWnd"},"function",
"tab_direction",{" integer id"," integer direction "},"procedure",
"textOut",{" atom hdc"," sequence pTextDefn"},"procedure",
"textRect",{"integer id"," object text"," object rect","object flags"," integer tabsize","integer left","integer right"},"function",
"textToBitmap",{" sequence s "},"function",
"toggleItem",{" integer item "},"procedure",
"trackCursor",{" object hCursor "},"procedure",
"trackObject",{" object owner"," object pObject"," integer lifetime "},"procedure",
"transBlt",{" atom dest"," integer destX"," integer destY","object src "},"procedure",
"trim",{"sequence pSource"},"function",
"undo",{" integer id "},"procedure",
"updateMouseTrap",{"integer pWindow"," integer pMouseTrap"," object pRect"},"procedure",
"useLogicalResolution",{"integer pLogRes"},"function",
"validId",{" object id "},"function",
"w32CType",{" integer pChar"," object pSet"},"function",
"w32Encode",{"sequence pPlainText"," sequence pMask"," integer pSize"},"function",
"w32FileOpen",{"sequence pPath"," sequence pMode"},"function",
"w32FindFile",{"sequence pPath"},"function",
"w32Func",{"atom funcid"," sequence parms"},"function",
"w32GetCType",{" object pChar"},"function",
"w32MakeArgs",{"sequence pData"," integer pArgDelim"," integer pKeyDelim"},"function",
"w32MaxWidth",{"object pData"},"function",
"w32Proc",{"atom funcid"," sequence parms"},"procedure",
"w32SetCType",{" object pChar"," object pSet"},"procedure",
"w32TextToNumber",{" sequence text"},"function",
"w32ToString",{"object pData"},"function",
"w32abs",{" object a "},"function",
"w32acquire_mem",{" atom pOwner"," object pData "},"function",
"w32address",{" atom addr"," object offset "},"function",
"w32allot",{" object pDataType "},"function",
"w32allotted_handle",{"sequence pHandle"},"function",
"w32allotted_size",{""},"function",
"w32allotted_sofar",{""},"function",
"w32fetch",{" atom struct"," sequence s "},"function",
"w32findKey",{" object key"," sequence list "},"function",
"w32get_bits",{"atom b32"},"function",
"w32hi_word",{" atom pData"},"function",
"w32iff",{" atom test"," object ifTrue"," object ifFalse "},"function",
"w32insertElement",{"sequence list"," integer pos"," object item  "},"function",
"w32llSetAbort",{"integer i"},"function",
"w32lo_word",{" atom pData"},"function",
"w32lookup",{"object pItem"," sequence pSource"," sequence pTarget"},"function",
"w32manage_mem",{" atom pOwner"," atom pAddr "},"procedure",
"w32new_memset",{""},"function",
"w32or_all",{" object pData "},"function",
"w32pack_word",{" integer low"," integer high "},"function",
"w32peek_string",{"atom a"},"function",
"w32rand32",{"atom N"},"function",
"w32release_all_mem",{""},"procedure",
"w32release_mem",{" atom pData "},"procedure",
"w32removeIndex",{" integer index"," sequence list "},"function",
"w32removeItem",{" object item"," sequence list "},"function",
"w32shortInt",{" atom i "},"function",
"w32signed_word",{" atom a "},"function",
"w32split",{"sequence pSource","  object pDelim"},"function",
"w32store",{" atom struct"," sequence s"," object o "},"procedure",
"w32trim",{"object pSource"},"function",
"w32trim_left",{"sequence pSource"},"function",
"w32trim_right",{"sequence pSource"},"function",
"wDebug",{"sequence pData"},"procedure",
"wPrint",{" integer id"," object o "},"procedure",
"wPrintf",{" object id"," sequence s1"," object o "},"procedure",
"wPuts",{" object id"," object s "},"procedure",
"warnErr",{" sequence pParams "},"procedure",
"xpmToEuBmp",{" sequence xpm "},"function",
"xpmToPixmap",{" sequence xpm "},"function",
"zorderMouseTrap",{"integer pWindow"," integer pMouseTrap"," integer pOrder"},"procedure"
}
